package com.eactive.eai.transformer.message.generator;

import com.eactive.eai.transformer.layout.Layout;
import com.eactive.eai.transformer.message.Message;
import com.eactive.eai.transformer.message.OddBytesMessage;

public class OddBytesMessageGenerator implements MessageGenerator {
    public Message createMessage(Layout layout, boolean initialize, boolean useDefault) throws Exception {
        OddBytesMessage message = (OddBytesMessage) layout.getRootItem();
        message = (OddBytesMessage) message.clone();
        message.createObject();
        return message;
    }
}
